Page MenuHomePhabricator

Error 503 trying to access watchlist on Serbo-Croatian Wikipedia
Closed, ResolvedPublic

Description

All is started before 3 days, I cant open my watchlist on sh wikipedia. Writes Wikimedia Foundation Error.

See here http://prntscr.com/3wnhqx


Version: wmf-deployment
Severity: normal

Details

Reference
bz67123

Event Timeline

bzimport raised the priority of this task from to Low.Nov 22 2014, 3:41 AM
bzimport set Reference to bz67123.
bzimport added a subscriber: Unknown Object (MLST).

Cannot reproduce; http://sh.wikipedia.org/wiki/Posebno:Spisak_pra%C4%87enja renders for me and displays "Spisak praćenja/Списак праћења".

Have you tried to clean your browser cache (see [[Wikipedia:BYPASS]])?

Can you access https://sh.wikipedia.org/wiki/Posebno:EditWatchlist/raw ?

Does your watchlist have a lot of entries (having bug 39510 in mind)?

Does the error page always display "cp1055" or are also other servers mentioned?

Does this problem also happen to other users?

(In reply to Andre Klapper from comment #1)

Cannot reproduce; http://sh.wikipedia.org/wiki/Posebno:Spisak_pra%C4%87enja
renders for me and displays "Spisak praćenja/Списак праћења".
Have you tried to clean your browser cache (see [[Wikipedia:BYPASS]])?
Can you access https://sh.wikipedia.org/wiki/Posebno:EditWatchlist/raw ?
Does your watchlist have a lot of entries (having bug 39510 in mind)?
Does the error page always display "cp1055" or are also other servers
mentioned?
Does this problem also happen to other users?

  1. I am cleaned browser cache.
  1. I cant access to https://sh.wikipedia.org/wiki/Posebno:EditWatchlist/raw http://prntscr.com/3wpnre
  1. Yes my watchlist have a lot of entries.
  1. No.
  1. No.

This is a known issue

  • This bug has been marked as a duplicate of bug 39510 ***

(In reply to Bawolff (Brian Wolff) from comment #3)

This is a known issue

  • This bug has been marked as a duplicate of bug 39510 ***

Oh wait, I read to fast. You said view not edit.

Basically it (probably) takes too long to generate your watchlist due to how many entries are on it, and the server is timing out. Technically I suppose that's different from bug 39510, but very similar.

hoo added a comment.Jun 29 2014, 10:10 PM

Cleared the watchlist on user request, as it wasn't possible for the user to use /clear (bug 66212)

hoo@terbium:~$ sudo -u apache mwscript runBatchedQuery.php --wiki shwiki 'DELETE FROM watchlist WHERE wl_user = 40287 LIMIT 5000'
Batch 1: 5000 rows
Batch 2: 5000 rows
Batch 3: 5000 rows
Batch 4: 5000 rows
Batch 5: 5000 rows
Batch 6: 5000 rows
Batch 7: 5000 rows
Batch 8: 5000 rows
Batch 9: 5000 rows
Batch 10: 5000 rows
Batch 11: 5000 rows
Batch 12: 5000 rows
Batch 13: 5000 rows
Batch 14: 5000 rows
Batch 15: 5000 rows
Batch 16: 5000 rows
Batch 17: 5000 rows
Batch 18: 5000 rows
Batch 19: 5000 rows
Batch 20: 5000 rows
Batch 21: 5000 rows
Batch 22: 5000 rows
Batch 23: 5000 rows
Batch 24: 5000 rows
Batch 25: 5000 rows
Batch 26: 5000 rows
Batch 27: 5000 rows
Batch 28: 5000 rows
Batch 29: 5000 rows
Batch 30: 5000 rows
Batch 31: 5000 rows
Batch 32: 5000 rows
Batch 33: 5000 rows
Batch 34: 5000 rows
Batch 35: 5000 rows
Batch 36: 5000 rows
Batch 37: 5000 rows
Batch 38: 5000 rows
Batch 39: 5000 rows
Batch 40: 5000 rows
Batch 41: 5000 rows
Batch 42: 5000 rows
Batch 43: 5000 rows
Batch 44: 5000 rows
Batch 45: 5000 rows
Batch 46: 5000 rows
Batch 47: 5000 rows
Batch 48: 5000 rows
Batch 49: 5000 rows
Batch 50: 5000 rows
Batch 51: 5000 rows
Batch 52: 5000 rows
Batch 53: 5000 rows
Batch 54: 5000 rows
Batch 55: 5000 rows
Batch 56: 5000 rows
Batch 57: 5000 rows
Batch 58: 4436 rows
Batch 59: 0 rows

Also I am reporting, i cant reset my watchlist on sh wiktionary http://prntscr.com/3xsiz0

hoo added a comment.Jun 29 2014, 10:25 PM

(In reply to Kolega2357 from comment #6)

Also I am reporting, i cant reset my watchlist on sh wiktionary
http://prntscr.com/3xsiz0

Also cleared:
hoo@terbium:~$ sudo -u apache mwscript runBatchedQuery.php --wiki shwiktionary 'DELETE FROM watchlist WHERE wl_user = 977 LIMIT 5000'
(819846 entries)

(In reply to Marius Hoch from comment #7)

(In reply to Kolega2357 from comment #6)

Also I am reporting, i cant reset my watchlist on sh wiktionary
http://prntscr.com/3xsiz0

Also cleared:
hoo@terbium:~$ sudo -u apache mwscript runBatchedQuery.php --wiki
shwiktionary 'DELETE FROM watchlist WHERE wl_user = 977 LIMIT 5000'
(819846 entries)

Marius Hoch I forgot to say delete my watchlist on war.wikipedia.org.

hoo added a comment.Jun 30 2014, 2:40 PM

(In reply to Kolega2357 from comment #8)

Marius Hoch I forgot to say delete my watchlist on war.wikipedia.org.

Also done:

hoo@terbium:~$ sudo -u apache mwscript runBatchedQuery.php --wiki warwiki 'DELETE FROM watchlist WHERE wl_user = 13307 LIMIT 5000'
Batch 1: 5000 rows
Batch 2: 5000 rows
Batch 3: 5000 rows
Batch 4: 5000 rows
Batch 5: 5000 rows
Batch 6: 5000 rows
Batch 7: 5000 rows
Batch 8: 5000 rows
Batch 9: 5000 rows
Batch 10: 5000 rows
Batch 11: 5000 rows
Batch 12: 5000 rows
Batch 13: 5000 rows
Batch 14: 5000 rows
Batch 15: 5000 rows
Batch 16: 5000 rows
Batch 17: 5000 rows
Batch 18: 5000 rows
Batch 19: 5000 rows
Batch 20: 5000 rows
Batch 21: 5000 rows
Batch 22: 5000 rows
Batch 23: 5000 rows
Batch 24: 5000 rows
Batch 25: 5000 rows
Batch 26: 1652 rows
Batch 27: 0 rows

Can we consider this bug fixed for now?

@Andre: Do we want another bug for this in MediaWiki? (This bug is about the specific user and not about the software, I guess)

(In reply to Marius Hoch from comment #9)

(In reply to Kolega2357 from comment #8)

Marius Hoch I forgot to say delete my watchlist on war.wikipedia.org.

Also done:
hoo@terbium:~$ sudo -u apache mwscript runBatchedQuery.php --wiki warwiki
'DELETE FROM watchlist WHERE wl_user = 13307 LIMIT 5000'
Batch 1: 5000 rows
Batch 2: 5000 rows
Batch 3: 5000 rows
Batch 4: 5000 rows
Batch 5: 5000 rows
Batch 6: 5000 rows
Batch 7: 5000 rows
Batch 8: 5000 rows
Batch 9: 5000 rows
Batch 10: 5000 rows
Batch 11: 5000 rows
Batch 12: 5000 rows
Batch 13: 5000 rows
Batch 14: 5000 rows
Batch 15: 5000 rows
Batch 16: 5000 rows
Batch 17: 5000 rows
Batch 18: 5000 rows
Batch 19: 5000 rows
Batch 20: 5000 rows
Batch 21: 5000 rows
Batch 22: 5000 rows
Batch 23: 5000 rows
Batch 24: 5000 rows
Batch 25: 5000 rows
Batch 26: 1652 rows
Batch 27: 0 rows
Can we consider this bug fixed for now?
@Andre: Do we want another bug for this in MediaWiki? (This bug is about the
specific user and not about the software, I guess)

Hoo please again delete my watchlist. Something is not good.

I fortog to add not warwiki already shwiki.

hoo added a comment.Jul 11 2014, 8:16 AM

(In reply to Kolega2357 from comment #11)

I fortog to add not warwiki already shwiki.

Sorry, I don't get this... what do you mean?